-- MixScript ABS pro auto

local input = {
    {"Thr src", SOURCE}, -- plyn/brzda
    {"Break val", value, 0, 100, 100}, -- kladna velikost hodnoty dodavane do kanalu
    {"Ratio", VALUE, 0, 10, 2},
    {"Span", VALUE, 5, 20, 10}
}

local cnt = 0
local ratio = 0

local output = {"Brk", "InBrk"}
local span = 0
local treshold = 40
local brkValue = 0

local function init_func()
end

local function run_func(thr, outVal, iRatio, iSpan)
    retval = 0
    brkValue = outVal * 10.24
    if (thr < -treshold) then
        span = iSpan - (-thr / 1024 * iSpan)
        ratio = iRatio
        if (cnt > ratio) then
            retval = 0
        else
            retval = -brkValue
        end
        if (cnt > span) then
            cnt = 0
        end

        cnt = cnt + 1
    end
    return retval, brkValue
end

return {input = input, output = output, run = run_func, init = init_func}
